# Generated from pact-1.65.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name pact

Name: rubygem-%{gem_name}
Version: 1.65.3
Release: 1%{?dist}
Summary: Enables consumer driven contract testing, providing a mock service and DSL for the consumer project, and interaction playback and verification for the service provider project
License: MIT
URL: https://github.com/pact-foundation/pact-ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0
# BuildRequires: rubygem(webmock) >= 3.0
# BuildRequires: rubygem(webmock) < 4
# BuildRequires: rubygem(fakefs) = 2.4
# BuildRequires: rubygem(hashie) >= 5.0
# BuildRequires: rubygem(hashie) < 6
# BuildRequires: rubygem(faraday) >= 1.0
# BuildRequires: rubygem(faraday) < 2
# BuildRequires: rubygem(faraday) < 3.0
# BuildRequires: rubygem(faraday-multipart) >= 1.0
# BuildRequires: rubygem(faraday-multipart) < 2
# BuildRequires: rubygem(conventional-changelog) >= 1.3
# BuildRequires: rubygem(conventional-changelog) < 2
# BuildRequires: rubygem(bump) >= 0.5
# BuildRequires: rubygem(bump) < 1
# BuildRequires: rubygem(pact-message) >= 0.8
# BuildRequires: rubygem(pact-message) < 1
# BuildRequires: rubygem(rspec-its) >= 1.3
# BuildRequires: rubygem(rspec-its) < 2
# BuildRequires: rubygem(webrick) >= 1.8
# BuildRequires: rubygem(webrick) < 2
# BuildRequires: rubygem(ostruct)
BuildArch: noarch

%description
Enables consumer driven contract testing, providing a mock service and DSL for
the consumer project, and interaction playback and verification for the
service provider project.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/pact
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/pact.gemspec

%changelog
* Wed Oct 23 2024 mockbuilder - 1.65.3-1
- Initial package
